# PlayerScripts

PlayerScripts : `Instance`

## Overview

PlayerScripts는 플레이어가 게임에 접속할 때 자동으로 생성되는 클라이언트 전용 컨테이너로, Players 서비스 내 각 Player 인스턴스의 하위에 위치하며, 이 컨테이너는 클라이언트 측 스크립트를 실행하기 위한 공간으로 사용됩니다.

플레이어가 게임에 접속하면, StarterPlayer 서비스의 StarterPlayerScripts에 있는 모든 LocalScript가 PlayerScripts로 한번만 복사됩니다.

이 컨테이너에 포함된 LocalScript는 해당 플레이어의 클라이언트에서 실행되며, 서버에서는 이 컨테이너에 직접 접근할 수 없습니다. 따라서, 여기에 서버 측 스크립트를 넣더라도 실행되지 않습니다.

## Properties

## Methods

## Events


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/korean/development/api-reference/classes/playerscripts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
